### Method

# AppStream Component search_matches

since: 0.9.7

#### Declaration [src]

    guint
    as_component_search_matches (
      AsComponent* cpt,
      const gchar* term
    )

#### Description [src]

Searches component data for a specific keyword.

Available since: 0.9.7

#### Parameters

`term`

  Type: `const gchar*`

  The search term.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `guint`

A match scrore, where 0 is no match and 100 is the best match.